pfSense Forum

pfSense English Support => Installation and Upgrades => Topic started by: jotape956 on February 09, 2018, 03:26:46 am

Title: Kernel Panic error while installing
Post by: jotape956 on February 09, 2018, 03:26:46 am
I am having issues installing pfSense. I've tried multiple versions already.

When I run the installer everything seems alright but in the middle of it I get:

Panic: Bogus interrupt trigger mode
KDB: enter: panic
Stopped at kdb_enter+0x3b : movq
db>


I've also tried installing it using both, a CD and a USB stick as I've experienced before some OS that can only be installed using a CD.

I don't believe this is a hardware issue because I've run some stress tests and had no problems with them.

I am also able to install other OS using the same hardware.

Has anyone had the same problem before and how did you manage to go through?


jotape956
Title: Re: Kernel Panic error while installing
Post by: Gertjan on February 09, 2018, 09:58:23 am
Hi,

Start by installing a plain vanilla FreeBSD to test if "FreeBSD" likes your hardware.
Title: Re: Kernel Panic error while installing
Post by: jotape956 on February 12, 2018, 02:54:45 am
Thank you for your answer but I've already tried and it works without a problem.

Seems like my hardware does not like pfSense only :(
Title: Re: Kernel Panic error while installing
Post by: johnpoz on February 12, 2018, 03:45:11 am
And what specific hardware is this?  If others have installed on it they can share their experience..
Title: Re: Kernel Panic error while installing
Post by: jotape956 on February 12, 2018, 05:22:10 am
Hardware:
This is a small box that I bought with pfSense installed. I wanted to try other OS in order to make the best decision on which Firewall OS to use.

I installed Sophos and it worked properly. I tried to reinstall pfSense and that's where I'm stuck.
Title: Re: Kernel Panic error while installing
Post by: stephenw10 on February 12, 2018, 05:30:09 am
What version of pfSense was it previously running? What version are you trying to install now?

At the db> prompt if you run 'bt' you will see the backtrace from the crash which might give us more to go on.

Steve
Title: Re: Kernel Panic error while installing
Post by: jotape956 on February 12, 2018, 07:59:38 am
"What version of pfSense was it previously running?" I'm not sure but definitely one of the latest ones.
"What version are you trying to install now?" I've tried 2.1, 2.3.5 and 2.4.2

After running bt at the db> prompt I get:
db> bt
Tracing pid 0 tid 100000 td 0xffffffff81391dd0
kdb_enter() at kdb_enter+0x3b
panic() at panic+0x180
interrupt_trigger() at interrupt_trigger+0x3e
madt_parse_ints() at madt_parse_ints+0x1cd
acpi_walk_subtables() at acpi_walk_subtables+0x29
madt_setup_io() at madt_setup_io+0x32
apic_setup_io() at apic_setup_io+0x13
mi_startup() at mi_startup+0x77
btext() at btext+0x2c
db>
Title: Re: Kernel Panic error while installing
Post by: kpa on February 12, 2018, 08:06:42 am
Based on the backtrace it looks very much like a buggy ACPI BIOS.

Title: Re: Kernel Panic error while installing
Post by: johnpoz on February 12, 2018, 09:43:29 am
Quote
This is a small box that I bought with pfSense installed.

Where did you buy this box - its not legal for a company to sell pre installed pfsense boxes without being partnered with netgate/pfsense..
Title: Re: Kernel Panic error while installing
Post by: jotape956 on February 13, 2018, 07:23:38 am
Quote
Where did you buy this box
This is a Qotom box that I bought for testing purposes.

This is the one that I got: https://goo.gl/Kns8ER (https://goo.gl/Kns8ER)
Title: Re: Kernel Panic error while installing
Post by: kpa on February 13, 2018, 09:23:23 am
That's ok otherwise but they aren't allowed to sell that with pfSense preloaded because that is a violation of the pfSense trademark. If they just sold it without anything preloaded and stated that pfSense is supported on it that would be fine.
Title: Re: Kernel Panic error while installing
Post by: jdeloach on February 13, 2018, 10:43:36 am
Quote
This is a small box that I bought with pfSense installed.

Where did you buy this box - its not legal for a company to sell pre installed pfsense boxes without being partnered with netgate/pfsense..

This policy may be true, but if one looks out on Ebay, there are dozens of companies selling boxes similar to the Qotom somebody posted in another  message with pfSense installed.  They have been doing this for years.  I have considered buying one but have stuck to using another pc to run pfSense because I thought it was more reliable.

If it was really illegal, I would have thought somebody would shut them down by now.
Title: Re: Kernel Panic error while installing
Post by: johnpoz on February 13, 2018, 10:59:13 am
My take on it is enforcement and finding of them.. Your talking sites in other countries, etc. etc.  I do believe netgate/pfsense has gone after those that they can.. But I believe its almost an impossible task..

And then when you have people here that suggest people buy such hardware - it doesn't help..  There is one thing suggesting build your own PC or buy hardware from decent sites that abide but trademark rules, etc.  But there are quite often links to hardware here that clearly are in violation - sometimes the links are removed from the forum here.. But good luck removing them from sites like reddit and other forums, etc.

Like the saying friends do not let friends drive drunk - around here is should be friends of pfsense do not let others buy crap ;)
Title: Re: Kernel Panic error while installing
Post by: stephenw10 on February 13, 2018, 05:47:23 pm
Mmmm.   :-\


But, yes, that looks like a bad table entry in the ACPI the BIOS is passing. Is there a BIOS update available?

Are there any ACPI options in the BIOS?

Did you add any hardware to it?

There are quite a few people running that (as much as I'd rather they weren't  ;)) so something is odd with yours.

Steve
Title: Re: Kernel Panic error while installing
Post by: jotape956 on February 15, 2018, 07:27:06 am
Update:

I reset the bios yesterday and I was finally able to install pfSense.

The box came with a small M.2 SSD which I replaced to a sata SSD in one of my attempts to make it work. I was getting the same error on both SSDs.

Now that I had pfSense installed in my sata SSD I thought that I could put back again the M.2 SSD that the box came with and try to install it there, after all, what solved my issue was resetting the bios.

I tried the M.2 SSD and got the kernel panic issue again, reset the bios and tried again but still the same error. I put back the SSD which had pfSense installed and I'm still getting the kernel panic issue, even after resetting the bios! :(

Any ideas of what it could be will be appreciated.
Title: Re: Kernel Panic error while installing
Post by: Grimson on February 15, 2018, 08:32:56 am
Any ideas of what it could be will be appreciated.

It's just crappy hardware, replace it.
Title: Re: Kernel Panic error while installing
Post by: jotape956 on February 15, 2018, 09:03:48 am
Quote
It's just crappy hardware, replace it.
I think that's what I'll end up doing...

Although it is not really a defective hardware as I'm able to install no matter which other OS, that's what concerns me.
Title: Re: Kernel Panic error while installing
Post by: Gertjan on February 15, 2018, 09:16:18 am
Hi,

I rewrite your words :

After you reset the BIOS, You have a working situation.

Then you changed drives, reset the BIOS, and you have a no-go.

The original drives goes back in, another BIOS reset, and still a no-go.
Or, are back at the first, beginning state.

This means that you omitted to mention something that you did ... if not, this is my advise : get certified material because of random failures ;)

Btw : I know, pfSense ought to work on your device.
 
Title: Re: Kernel Panic error while installing
Post by: stephenw10 on February 15, 2018, 05:29:47 pm
It is possible to override parts of the ACPI tables to by-pass things like this.
https://www.freebsd.org/cgi/man.cgi?query=acpi&apropos=0&sektion=0&manpath=FreeBSD+11.1-RELEASE+and+Ports&arch=default&format=html

But that should not be required. You might enable acpi debugging info, that might give you more idea what's happening.
Code: [Select]
hw.acpi.verbose=1
The fact you are hitting this and even others running the same hardware are not implies either you have a faulty board or you have added something faulty to it or you have a different BIOS version.

Steve